export default class BatchLoadTracker {
    private _numParts;
    private _loadedCount;
    private _isError;
    private _finishedAction;
    private _errorAction;
    private _loadProgressAction;
    constructor(numParts: number);
    onLoadFinished(action: () => void): this;
    onLoadError(action: () => void): this;
    onLoadProgress(action: (progress: number) => void): this;
    partLoaded(): void;
    errorDetected(): void;
    get isFinished(): boolean;
    get isError(): boolean;
    get percentLoaded(): number;
}
